/*
 Problema: dado um vetor a, com n numeros reais, calcular e
 imprimir a soma dos n elementos do vetor a. E selecionar e
 imprimir o maior valor dos elementos, do vetor a.
 Obs. o primeiro valor lido ser o de n. Considere n<=100.

 Resolucao: O programa deve ter os seguintes passos:
  1 - definir os tipos de dados; (declarar as variaveis)
  2 - permitir que voce digite o valor do numero "n";
  3 - permitir que voc digite os elementos
      do vetor "a", um de cada vez;
  4 - calcular a soma dos elementos do vetor a;
  5 - imprimir o valor obtido para soma;
  6 - selecionar o maior valor dos elementos, do vetor a;
  7 - imprimir o valor obtido para maior, no passo anterior;

 descricao das variaveis
  n - tamanho do vetor - quantidade de elementos do vetor;
  i - contador de repeticao, indice usado para
      acessar os elementos do vetor;
  a - representa o vetor;
  s - guardar a soma dos elementos do vetor a
  y - guardar o maior valor dos elementos, do vetor a
*/

#include <iostream>

using namespace std;

void le_vetor(float a[], int n)
{
    for (int i = 0; i < n; i = i + 1)
    {
       cin >> a[i];
    }
}

float soma_elem(float a[], int n)
{
   float soma = 0;//zerar a soma - define o valor inicial da soma
   for (int i = 0; i < n; i++) {
      soma = soma + a[i];//somar os elementos do vetor a, um por vez
   }//fim for
   return soma;
}

float acha_maior(float a[], int n)
{
   float maior = a[0]; // define o valor inicial, do maior valor dos elementos do vetor a
   for (int i = 0; i < n; i = i + 1) {
      if (a[i] > maior) // selecionar o maior valor
      {
         maior = a[i]; // atualizar o valor y
      } // fim se
   } // fim for
   return maior;
}

int main()
{
   // define o tipo de dados
   int n;
   float a[10], s, maior;

   // entrada de dados
   cout << "digite o valor de n <= 10: ";
   cin >> n;
   cout << "digite os elementos do vetor a: ";
   le_vetor(a, n);

   // 4 - cacular a soma dos elementos do vetor a
   s = soma_elem(a, n);//zerar a soma - define o valor inicial da soma

   // 5 - imprimir o valor obtido para soma;
   cout << "soma dos elementos do vetor a: " << s << endl;

   // 6 - selecionar o maior valor dos elementos, do vetor a;
   maior = acha_maior(a, n);
   // 7 - imprimir o valor obtido para maior, no passo anterior
   cout << "maior valor dos elementos do vetor a: " << maior << endl;

   return 0;
}
