/*
 Problema: dado as notas finais e as faltas, dos n alunos de
 informatica, calcular e imprimir a nota final media dos alunos
 aprovados.
 Obs. usar vetor

 Resolucao: O programa deve ter os seguintes passos:
  1 - definir os tipos de dados(variaveis : n,i,x,nf,sap,nap,map)
  2 - permitir que voce digite o valor do numero "n";
  3 - permitir que voce digite as notas finais e as faltas dos
      alunos (os elementos dos vetores x e nf);
  4 - selecionar os alunos aprovados, e:
              4.4.1 - somar  as notas finais dos alunos aprovados;
              4.4.2 - contar os alunos aprovados;
  5 - calcular a nota final media dos alunos aprovados;
  6 - imprimir o valor obtido, no passo anterior.

 descricao das variaveis:
  n - tamanho da turma (numero de alunos - numero de repeticoes);
  i - contador de repeticao (indice - controlador da repeticao),
      indice usado para acessar os elementos dos vetores;
  nap  - contador do numero de alunos aprovados;
  faltas - representa o vetor com o numero de faltas dos alunos;
  notas - representa o vetor com as notas finais dos alunos;
  sap - guarda a soma das notas finais, dos alunos aprovados;
  map - representa a media aritmetica das notas finais,
        dos alunos aprovados.
*/

#include <iostream>

using namespace std;

void le_dados(float N[], int f[],  int nro)
{
	for (int i = 0; i < nro; i = i + 1)
    {
		cout <<"Entre com os dados do aluno " << i << endl;
		cout << "Digite a nota: ";
		cin >> N[i];
		cout << "Digite as faltas: ";
		cin >> F[i];
		cout << endl;
    }
}

void mostra_dados( float N[], int F[],  int nro)
{
	cout <<"Notas e faltas dos alunos."
	for (int i = 0; i < nro; i = i + 1)
    {
       cout << N[i] >> " - " << F[i] << endl;
    }
	cout endl;
}

float calcula_mediaAprovados(float N[], int F[], int nro)
{
	float sap; /* soma das notas finais, dos alunos aprovados */
	int nap; /* contador do numero de alunos aprovados */
	/* calcular e imprimir a nota final media dos alunos aprovados */
	sap = 0; //define o valor inicial da soma das notas finais, dos alunos aprovados
	nap = 0; //define o valor inicial do contador dos alunos aprovados
	for (int i = 0; i < n; i = i + 1)
	{
		if ((N[i]>=60) && (F[i]<=16)) //selecionar os alunos aprovados
			{
				sap = sap + N[i]; //somar as notas finais, dos alunos aprovados
				nap = nap + 1; //contar os alunos aprovados
			}//fim if
	}//fim for
	return sap/nap; //retorna a media
	
}

int main()
{
  /* define os tipos de dados */
  int n; /* tamanho da turma = numero de repeticao */
  int i; /* contador de repeticao */
  float map; /* media aritmetica das notas finais, dos alunos aprovados */
  int faltas[100]; /* numero de faltas */
  float notas[100]; /* nota final */
  

  /* entrada de dados */
  cout << ("\nDigite o tamanho da turma no maximo 100(n): ");
  cin >> n;

  le_dados(notas, faltas, n);

  mostra_dados(notas, faltas, n);

  map = calcula_mediaAprovados(notas, faltas, n);
  cout << endl;
  cout << "A media aritmetica das notas finais, dos alunos aprovados: " <<  map << endl;

  return 0;
}
